Slony-I 2.2.10 Documentation
Prev | Fast Backward | Chapter 8. Schema schemadoc | Fast Forward | Next

# 8.37. clonenodeprepare(p_no_comment integer, p_no_provider integer, p_no_id text)

Function Properties

Language: PLPGSQL

Return Type: bigint

Prepare for cloning a node.

    begin
    	perform cloneNodePrepare_int (p_no_id, p_no_provider, p_no_comment);
    	return  createEvent('_schemadoc', 'CLONE_NODE',
    									p_no_id::text, p_no_provider::text,
    									p_no_comment::text);
    end;

Prev | Home | Next
clonenodefinish(p_no_provider integer, p_no_id integer) | Up | clonenodeprepare_int(p_no_comment integer, p_no_provider integer, p_no_id text)